Grid Smart Object.
Evas » Smart Object Functions

Convenience smart object that packs children under a regular grid layout, using their virtual grid location and size to determine children's positions inside the grid object's area. More...

Evas_Object * | evas_object_textgrid_add (Evas *e)
| Add a textgrid to the given Evas. More...
void | evas_object_textgrid_font_source_set (Eo *obj, const char *font_source)
| Set the font (source) file to be used on a given textgrid object. More...
const char * | evas_object_textgrid_font_source_get (const Eo *obj)
| Get the font file's path which is being used on a given textgrid object. More...
void | evas_object_textgrid_font_set (Eo *obj, const char *font_name, Evas_Font_Size font_size)
| Set the font family and size on a given textgrid object. More...
void | evas_object_textgrid_font_get (const Eo *obj, const char **font_name, Evas_Font_Size *font_size)
| Retrieve the font family and size in use on a given textgrid object. More...
Evas_Object * | evas_object_grid_add (Evas *evas)
| Create a new grid. More...

## Detailed Description

Convenience smart object that packs children under a regular grid layout, using their virtual grid location and size to determine children's positions inside the grid object's area.

Since
  1.1

## Function Documentation

## ◆ evas_object_textgrid_add()

Evas_Object* evas_object_textgrid_add | ( | Evas * | e | ) |

Add a textgrid to the given Evas.

Parameters

  e | The given evas.

Returns
  The new textgrid object.

This function adds a new textgrid object to the Evas `e` and returns the object.

Since
  1.7

References eo_add.

## ◆ evas_object_grid_add()

Evas_Object* evas_object_grid_add | ( | Evas * | evas | ) |

Create a new grid.

It's set to a virtual size of 1x1 by default and add children with evas_object_grid_pack().

Since
  1.1

References EINA_UNUSED, and eo_add.

## ◆ evas_object_textgrid_font_source_set()

void evas_object_textgrid_font_source_set | ( | Eo * | obj,
|  | const char * | font_source
| ) |  |

Set the font (source) file to be used on a given textgrid object.

This function allows the font file `font_source` to be explicitly set for the textgrid object `obj`, overriding system lookup, which will first occur in the given file's contents. If `font_source` is `NULL` or is an empty string, or the same font_source has already been set, or on error, this function does nothing.

See also
  evas_object_textgrid_font_get()
  evas_object_textgrid_font_set()
  evas_object_textgrid_font_source_get()

Since
  1.7

Parameters

  [in] | font_source | The font file's path.

## ◆ evas_object_textgrid_font_source_get()

const char* evas_object_textgrid_font_source_get | ( | const Eo * | obj | ) |

Get the font file's path which is being used on a given textgrid object.

Returns
  The font file's path.

This function returns the font source path of the textgrid object `obj`. If the font source path has not been set, or on error, `NULL` is returned.

See also
  evas_object_textgrid_font_get()
  evas_object_textgrid_font_set()
  evas_object_textgrid_font_source_set()

Since
  1.7

## ◆ evas_object_textgrid_font_set()

void evas_object_textgrid_font_set | ( | Eo * | obj,
|  | const char * | font_name,
|  | Evas_Font_Size | font_size
| ) |  |

Set the font family and size on a given textgrid object.

This function allows the font name `font_name` and size `font_size` of the textgrid object `obj` to be set. The `font_name` string has to follow fontconfig's convention on naming fonts, as it's the underlying library used to query system fonts by Evas (see the `fc-list` command's output, on your system, to get an idea). It also has to be a monospace font. If `font_name` is `NULL`, or if it is an empty string, or if `font_size` is less or equal than 0, or on error, this function does nothing.

See also
  evas_object_textgrid_font_get()
  evas_object_textgrid_font_source_set()
  evas_object_textgrid_font_source_get()

Since
  1.7

Parameters

  [in] | font_name | The font (family) name.
  [in] | font_size | The font size, in points.

## ◆ evas_object_textgrid_font_get()

void evas_object_textgrid_font_get | ( | const Eo * | obj,
|  | const char ** | font_name,
|  | Evas_Font_Size * | font_size
| ) |  |

Retrieve the font family and size in use on a given textgrid object.

This function allows the font name and size of a textgrid object `obj` to be queried and stored respectively in the buffers `font_name` and `font_size`. Be aware that the font name string is still owned by Evas and should not have free() called on it by the caller of the function. On error, the font name is the empty string and the font size is 0. `font_name` and `font_source` can be `NULL`.

See also
  evas_object_textgrid_font_set()
  evas_object_textgrid_font_source_set()
  evas_object_textgrid_font_source_get()

Since
  1.7

Parameters

  [out] | font_name | The font (family) name.
  [out] | font_size | The font size, in points.